Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.custom
Class StyledTextPrintOptions

    java.lang.Object
      org.eclipse.swt.custom.StyledTextPrintOptions

public class StyledTextPrintOptions
extends Object

Use StyledTextPrintOptions to specify printing options for the StyledText.print(Printer, StyledTextPrintOptions) API.

The following example prints a right aligned page number in the footer, sets the job name to "Example" and prints line background colors but no other formatting:

     StyledTextPrintOptions options = new StyledTextPrintOptions();
     options.footer = "\t\t<page>";
     options.jobName = "Example";
     options.printLineBackground = true;

     Runnable runnable = styledText.print(new Printer(), options);
     runnable.run();

Since:
  2.1

Field Summary
`String` | `footer` Formatted text to print in the footer of each page.
`String` | `header` Formatted text to print in the header of each page.
`String` | `jobName` Name of the print job.
`static String` | `PAGE_TAG` Page number placeholder constant for use in `header` and `footer`.
`boolean` | `printLineBackground` Print the line background color.
`boolean` | `printTextBackground` Print the text background color.
`boolean` | `printTextFontStyle` Print the font styles.
`boolean` | `printTextForeground` Print the text foreground color.
`static String` | `SEPARATOR` Separator constant for use in `header` and `footer`.

Constructor Summary
`StyledTextPrintOptions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_TAG

    public static final String PAGE_TAG

  Page number placeholder constant for use in `header` and `footer`. Value is `<page>`

  See Also:
    Constant Field Values

### SEPARATOR

    public static final String SEPARATOR

  Separator constant for use in `header` and `footer`. Value is `\t`

  See Also:
    Constant Field Values

### header

    public String header

  Formatted text to print in the header of each page.

  "left '\t' center '\t' right"

  left, center, right = <page> | #CDATA

  Header and footer are defined as three separate regions for arbitrary text or the page number placeholder <page> (`StyledTextPrintOptions.PAGE_TAG`). The three regions are left aligned, centered and right aligned. They are separated by a tab character (`StyledTextPrintOptions.SEPARATOR`).

### footer

    public String footer

  Formatted text to print in the footer of each page.

  "left '\t' center '\t' right"

  left, center, right = <page> | #CDATA

  Header and footer are defined as three separate regions for arbitrary text or the page number placeholder <page> (`StyledTextPrintOptions.PAGE_TAG`). The three regions are left aligned, centered and right aligned. They are separated by a tab character (`StyledTextPrintOptions.SEPARATOR`).

### jobName

    public String jobName

  Name of the print job.

### printTextForeground

    public boolean printTextForeground

  Print the text foreground color. Default value is `false`.

### printTextBackground

    public boolean printTextBackground

  Print the text background color. Default value is `false`.

### printTextFontStyle

    public boolean printTextFontStyle

  Print the font styles. Default value is `false`.

### printLineBackground

    public boolean printLineBackground

  Print the line background color. Default value is `false`.

Constructor Detail

### StyledTextPrintOptions

    public StyledTextPrintOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.